> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a column to a table

> Create a new column on a table. Type defaults to 'text'.



## OpenAPI

````yaml POST /v1/table/{table_uuid}/columns
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}/columns:
    post:
      tags:
        - Table
      summary: Add a column to a table
      description: Create a new column on a table. Type defaults to 'text'.
      operationId: Create_column_v1_table__table_uuid__columns_post
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The UUID of the table
            title: Table Uuid
          description: The UUID of the table
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateColumnRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateColumnResponse'
        '403':
          description: Forbidden
        '404':
          description: Table not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateColumnRequest:
      properties:
        name:
          type: string
          title: Name
          description: Column display name.
        type:
          type: string
          title: Type
          description: 'Column type (default: ''text'').'
          default: text
        config:
          type: object
          title: Config
          description: 'Column config (default: empty dict).'
      type: object
      required:
        - name
      title: CreateColumnRequest
    CreateColumnResponse:
      properties:
        identifier:
          type: string
          title: Identifier
        name:
          type: string
          title: Name
        type_of_value:
          type: string
          title: Type Of Value
      type: object
      required:
        - identifier
        - name
        - type_of_value
      title: CreateColumnResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````